/*!
 * (C) Copyright IBM Corp. 2005, 2005
 *
 * \file kboot.h
 * \brief Include file for kboot boot loader user interface
 *
 * $Id: kboot.h,v 1.8 2006/05/15 11:07:57 loehr Exp $
 *
 * Author(s): Ralph Wuerthner (rwuerthn@de.ibm.com)
 *
 */


#ifndef _KBOOT_H_
#define _KBOOT_H_

#define KBOOT_UI_VERSION "0.1"    //!< kboot user interface version
#define WORLD_EXISTS 1            //!< otherwise we won't be here

#define COMP_LOAD_MODULE_PATH "cl"    //!< path to loader module directory
#define SETUP_MODULE_PATH     "setup" //!< path to setup module directory

#include "config.h"
#include "debug.h"
#include "parser.h"
#include "loader.h"


void print_help(const char *arg0);
void redirect_output(const char *device);
int userinterface(const char *startup_msg, struct cfg_toplevel *config,
    struct cfg_bentry *boot);
int comp_load(const char *dest, const char *uri, char **info, char **errmsg);

#endif /* #ifndef _KBOOT_H_ */
